2

Although I wrote the question in a general way, my example is pretty specific. Tonight, as soon as I got into a site that uses Java, Safari told me (nice alert window, though :-)) that Java should be blocked because it's "out of date".

OK, I understand the risks, lots of vulnerabilities, yadda yadda yadda.

I would like to keep the current installed version, because I don't have the time, because I like it, because I can, whatever.

I'm not provided with that option. It offers me to download the newest version or go on with Java ALREADY disabled. I would like to go on, but with my current Java.

Any way to do that? I anticipate that I checked System Preferences > Java and also Safari preferences, and the plugin is enabled in both places.

BTW, I did update Java. I needed to access the site. Still, I would like how to regain control in those situations.

0

Browse other questions tagged .